alt.java.net

## Interface Socket

All Known Implementing Classes:
  MockSocket, SocketImpl

    public interface Socket

### Method Summary

Methods
`void` `close()`
`java.net.InetAddress` `getInetAddress()`
`java.io.InputStream` `getInputStream()`
`boolean` `getKeepAlive()`
`java.net.InetAddress` `getLocalAddress()`
`int` `getLocalPort()`
`java.io.OutputStream` `getOutputStream()`
`int` `getPort()`
`int` `getReceiveBufferSize()`
`int` `getSendBufferSize()`
`int` `getSoLinger()`
`int` `getSoTimeout()`
`boolean` `getTcpNoDelay()`
`void` `setKeepAlive(boolean on)`
`void` `setReceiveBufferSize(int size)`
`void` `setSendBufferSize(int size)`
`void` `setSoLinger(boolean on, int linger)`
`void` `setSoTimeout(int timeout)`
`void` `setTcpNoDelay(boolean on)`
`void` `shutdownInput()`
`void` `shutdownOutput()`

### Method Detail

#### getInetAddress

    java.net.InetAddress getInetAddress()

#### getLocalAddress

    java.net.InetAddress getLocalAddress()

#### getPort

    int getPort()

#### getLocalPort

    int getLocalPort()

#### getInputStream

    java.io.InputStream getInputStream()
                                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### getOutputStream

    java.io.OutputStream getOutputStream()
                                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### setTcpNoDelay

    void setTcpNoDelay(boolean on)
                       throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### getTcpNoDelay

    boolean getTcpNoDelay()
                          throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### setSoLinger

    void setSoLinger(boolean on,
                   int linger)
                     throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### getSoLinger

    int getSoLinger()
                    throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### setSoTimeout

    void setSoTimeout(int timeout)
                      throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### getSoTimeout

    int getSoTimeout()
                     throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### setSendBufferSize

    void setSendBufferSize(int size)
                           throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### getSendBufferSize

    int getSendBufferSize()
                          throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### setReceiveBufferSize

    void setReceiveBufferSize(int size)
                              throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### getReceiveBufferSize

    int getReceiveBufferSize()
                             throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### setKeepAlive

    void setKeepAlive(boolean on)
                      throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### getKeepAlive

    boolean getKeepAlive()
                         throws java.net.SocketException

Throws:
  `java.net.SocketException`

#### close

    void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`

#### shutdownInput

    void shutdownInput()
                       throws java.io.IOException

Throws:
  `java.io.IOException`

#### shutdownOutput

    void shutdownOutput()
                        throws java.io.IOException

Throws:
  `java.io.IOException`